org.eclipse.gef.dot.internal.ui.conversion

## Class DotRecordBasedNodeStyleUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil
  - - org.eclipse.gef.dot.internal.ui.conversion.DotRecordBasedNodeStyleUtil

All Implemented Interfaces:
  DotNodeStyleUtil

    public class DotRecordBasedNodeStyleUtil
    extends DotDefaultNodeStyleUtil

### Field Summary

### Fields inherited from class org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

`colorUtil, dot`

### Constructor Summary

Constructors
Constructor and Description
`DotRecordBasedNodeStyleUtil(DotColorUtil colorUtil, org.eclipse.gef.graph.Node dot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addNodeStyle(java.lang.StringBuilder zestStyle, org.eclipse.gef.dot.internal.language.style.NodeStyle style, boolean penwidthUnset)`
`java.lang.StringBuilder` `computeLineStyle()`
`java.lang.StringBuilder` `computeZestStyle()` Computes Zest node shape style
`protected java.lang.String` `fillFxCssString()`
`protected java.lang.String` `strokeColorFxCssString()`
`protected java.lang.String` `strokeWidthFxCssString()`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

`colorAttribute, colorschemeAttribute, fillcolorAttribute, fillCondition, hasStyle, penwidthAttribute, shapeAttribute, styleAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotRecordBasedNodeStyleUtil

    public DotRecordBasedNodeStyleUtil(DotColorUtil colorUtil,
                                       org.eclipse.gef.graph.Node dot)

### Method Detail

#### computeZestStyle

    public java.lang.StringBuilder computeZestStyle()

Description copied from interface: `DotNodeStyleUtil`
Computes Zest node shape style

Specified by:
  `computeZestStyle` in interface `DotNodeStyleUtil`
Overrides:
  `computeZestStyle` in class `DotDefaultNodeStyleUtil`
Returns:
  StringBuilder containing node shape style

#### computeLineStyle

    public java.lang.StringBuilder computeLineStyle()

#### addNodeStyle

    protected void addNodeStyle(java.lang.StringBuilder zestStyle,
                                org.eclipse.gef.dot.internal.language.style.NodeStyle style,
                                boolean penwidthUnset)

Overrides:
  `addNodeStyle` in class `DotDefaultNodeStyleUtil`

#### strokeWidthFxCssString

    protected java.lang.String strokeWidthFxCssString()

Overrides:
  `strokeWidthFxCssString` in class `DotDefaultNodeStyleUtil`

#### strokeColorFxCssString

    protected java.lang.String strokeColorFxCssString()

Overrides:
  `strokeColorFxCssString` in class `DotDefaultNodeStyleUtil`

#### fillFxCssString

    protected java.lang.String fillFxCssString()

Overrides:
  `fillFxCssString` in class `DotDefaultNodeStyleUtil`